Bug 1010578 - host unresponsive during all-in-one installation [NEEDINFO]
host unresponsive during all-in-one installation
Status: CLOSED INSUFFICIENT_DATA
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3
Assigned To: Ofer Schreiber
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 13:49 EDT by Rob Oakes
Modified: 2014-01-09 16:10 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 04:22:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alonbl: needinfo? (rob.oakes)


Attachments (Terms of Use)
Log file from failed installation (1.47 MB, text/x-log)
2013-09-21 13:55 EDT, Rob Oakes
no flags Details
Install logs (1.49 MB, text/plain)
2013-09-22 15:22 EDT, Cybertimber2011
no flags Details
VDSM error while installing oVirt (1.56 MB, text/x-log)
2014-01-09 16:10 EST, mtrudel
no flags Details

  None (edit)
Description Rob Oakes 2013-09-21 13:49:33 EDT
Description of problem: If the all-in-one installer is run without having the ovirt-engine-websocket-proxy package installed, it causes the installation to fail.


Version-Release number of selected component (if applicable): 3.3.3


How reproducible: Begin a clean all-in-one installation according to the instructions athttp://community.redhat.com/up-and-running-with-ovirt-3-3/. Without also installing ovirt-engine-websocket-proxy, the installation will fail.

Actual results: The installation fails with the error that VDSM is in a failed state. Error in the log: no ovirt-engine-websocket-proxy, no such file or directory.


Expected results: The absence of the websocket proxy should not cause the all-in-one installer to fail. The installer should be able to detect it is absent and omit the proxy routines in the VDSM setup and activation.
Comment 1 Rob Oakes 2013-09-21 13:55:39 EDT
Created attachment 800953 [details]
Log file from failed installation
Comment 2 Cybertimber2011 2013-09-22 15:19:50 EDT
I was working with Rob in IRC and I think I was able to reproduce this. The engine-setup completes, but VDSM fails in the allinone install. 

         --== END OF SUMMARY ==--

[ INFO  ] Starting engine service
[ INFO  ] Restarting httpd
[ INFO  ] Waiting for VDSM host to become operational. This may take several minutes...
[ INFO  ] Still waiting for VDSM host to become operational...
[ INFO  ] Still waiting for VDSM host to become operational...
[ INFO  ] Still waiting for VDSM host to become operational...
[ INFO  ] Still waiting for VDSM host to become operational...
[ ERROR ] The VDSM host was found in a failed state. Please check engine and bootstrap installation logs.
[WARNING] Local storage domain not added because the VDSM host was not up. Please add it manually.
[ INFO  ] Restarting nfs services
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20130922151400-setup.conf'
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20130922145650.log
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ INFO  ] Execution of setup completed successfully

Install logs to be attached. I'm going to try installing ovirt-engine-websocket-proxy, engine-cleanup, and then reinstall.
Comment 3 Cybertimber2011 2013-09-22 15:22:35 EDT
Created attachment 801322 [details]
Install logs

Install logs w/o ovirt-engine-websocket-proxy being installed. engine-setup succeeds, but VDSM fails.
Comment 4 Itamar Heim 2013-09-24 17:34:13 EDT
similar to http://gerrit.ovirt.org/#/c/19344/?
Comment 5 Alon Bar-Lev 2013-09-24 17:45:08 EDT
The error that is mentioned is not causing setup to stop. The websocket proxy is not the reason why vdsm fails to install.

Please attach:
/var/log/ovirt-engine/engine.log
/var/log/ovirt-engine/host-deploy/*.log
Comment 6 Sandro Bonazzola 2013-11-07 04:22:52 EST
Closing because we don't have enough data for fixing the issue.
Please reopen if you're able to reproduce this with oVirt 3.3.0.1 or 3.3.1 now in beta.
Comment 7 mtrudel 2014-01-09 14:33:39 EST
Hi, 
I juste had the same problem :

[ ERROR ] Timed out while waiting for host to start. Please check the logs.
[WARNING] Local storage domain not added because the VDSM host was not up. Please add it manually.
[ INFO  ] Restarting nfs services
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20140109141733-setup.conf'
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20140109133830.log
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ INFO  ] Execution of setup completed successfully
Comment 8 mtrudel 2014-01-09 16:10:43 EST
Created attachment 847837 [details]
VDSM error while installing oVirt

Comment 7

Note You need to log in before you can comment on or make changes to this bug.